Get available gatewaysCopy Pagepost https://gw.praxisgate.com/agent/get-available-gatewaysBody Paramswith card tokenwithout card tokencard_tokenstringrequiredlength ≤ 32HASH value of customer's card. Note: This field must not be sent in any subsequent Merchant Initiated Transaction (MIT) requests.currencystringrequiredlength ≤ 10Base Currency: The user's account currency on the merchant site.cidstringrequiredlength ≤ 50Unique customer id in your system. Note: Personally Identifiable Information (PII), such as email addresses, is strictly forbidden. If your user identifier contains any PII, you must hash or encrypt it before sending it to the API.amountintegerrequiredTransaction amount in cents. Note: For certain currencies there is a fraction other than 100 cents per unit, this is important if you multiply by 100 to send the amount in cents.merchant_idstringrequiredlength ≤ 50Merchant API client account identifier.application_keystringrequiredlength ≤ 32Identifier of your application (website).versionstringrequiredlength ≤ 3API version.timestampintegerrequiredRequest time (unix timestamp, seconds).transaction_typestringrequiredlength ≤ 16Transaction type.hpf_auth_tokenstringlength ≤ 32HPF auth token. It is recommended to be applied especially if customer enters new card, in that case for better cascade matching card data could be picked up from session by hpf_auth_tokengateway_typearray of stringslength ≤ 2Allowed values are: card apm gateway_typeADD stringgatewaystringlength ≤ 32Gateway doing the processing.countrystringlength ≤ 2ISO 3166-1 alpha-2 country code (US, MT, IT, GB, DE etc.)localestringenumlength ≤ 5User locale, specified as a BCP 47 Language Tag (e.g., 'en-GB'). The first component is the ISO 639-1 language code, and the second is the ISO 3166-1 country code. Note: Contact [email protected] to add new locale if not available in the list.en-GBar-SAcs-CZzh-CNzh-TWnl-NLen-GBtl-PHfi-FIfr-FRde-DEel-GRhe-ILhi-INhu-HUit-ITid-IDja-JPko-KRlt-LTms-MYpl-PLpt-PTru-RUsk-SKes-ESsv-SEth-THtr-TRvi-VNhy-AMbg-BGkh-KHda-DKet-EEka-GElv-LVnb-NOsr-RSsl-SIta-INuk-UAsq-ALShow 42 enum valuespayment_methodarray of objectsAllowed values, see key field for payment methods in Atlaspayment_methodADD stringinclude_payment_informationintegerAllowed values are: 0 to exclude payment information 1 to include payment information ip_addressstringlength ≤ 50User IP addressip_country_codestringlength ≤ 2User IP Countryuser_agentstringlength ≤ 256User Agentcustomer_region_codestringlength ≤ 10User Region CodeHeadersgt-authenticationstringrequiredAuthentication HTTP header of your outgoing request to the API. Below request parameters should be used for creating signature in request header. merchant_id application_key timestamp cid Responses 200OK - Successful response 400Bad request - Missing signature 403Forbidden request - IP address not whitelistedUpdated 6 months ago